package wusthelper.web.api.v2.dto.response;

import cn.wustlinghang.mywust.data.global.StudentInfo;
import lombok.Data;

@Data
public class StudentInfoResponse {
    private String stuNum;

    private String stuName;

    private String nickName;

    private String college;

    private String major;

    private String classes;

    public static StudentInfoResponse from(StudentInfo studentInfo) {
        StudentInfoResponse studentInfoResponse = new StudentInfoResponse();
        studentInfoResponse.setStuNum(studentInfo.getStudentNumber());
        studentInfoResponse.setStuName(studentInfo.getName());
        studentInfoResponse.setNickName("");
        studentInfoResponse.setCollege(studentInfo.getCollege());
        studentInfoResponse.setMajor(studentInfo.getMajor());
        studentInfoResponse.setClasses(studentInfo.getClazz());

        return studentInfoResponse;
    }
}