package wusthelper.internal.graduate.api.http.v1.handler;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import lombok.extern.slf4j.Slf4j;
import wusthelper.code.ServiceCode;

@Slf4j
@Provider
@ApplicationScoped
public class DefaultExceptionHandler extends BaseExceptionHandler implements ExceptionMapper<Exception> {
    @Override
    public Response toResponse(Exception e) {
        log.error("未知异常：", e);
        return super.toResponse(ServiceCode.ServerInternalError, "DefaultExceptionHandler");
    }
}
