package wusthelper.internal.graduate.api.http.v1.handler;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.validation.ValidationException;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import lombok.extern.slf4j.Slf4j;
import wusthelper.code.ServiceCode;

@Slf4j
@Provider
@ApplicationScoped
public class ValidationExceptionHandler extends BaseExceptionHandler
        implements ExceptionMapper<ValidationException> {
    @Override
    public Response toResponse(ValidationException e) {
        return super.toResponse(ServiceCode.ParamWrong, "ValidationExceptionHandler");
    }
}
