package wusthelper.internal.library.api.http.v1.handler;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import lombok.extern.slf4j.Slf4j;
import wusthelper.internal.rpc.exception.RpcException;

@Slf4j
@Provider
@ApplicationScoped
public class RpcExceptionHandler extends BaseExceptionHandler implements ExceptionMapper<RpcException> {
    @Override
    public Response toResponse(RpcException e) {
        log.debug("RpcException：", e);
        return super.toResponse(e.getCode(), "RpcExceptionHandler");
    }
}
