package wusthelper.data.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserBasic {
    /**
     * uid
     */
    private Long uid;

    /**
     * 学号
     */
    private String stuNum;

    /**
     * 教务处密码
     */
    private String officialPwd;// 官方

    /**
     * 图书馆密码
     */
    private String libPwd;

    /**
     * 物理实验系统密码
     */
    private String physicsPwd;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * update_time
     */
    private LocalDateTime updateTime;

    /**
     * deleted
     */
    private Integer deleted;
}
