package wusthelper.internal.graduate.api.http.v1.handler;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.ws.rs.WebApplicationException;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import wusthelper.code.ServiceCode;

@Provider
@ApplicationScoped
public class WebApplicationExceptionHandler extends BaseExceptionHandler implements ExceptionMapper<WebApplicationException> {
    @Override
    public Response toResponse(WebApplicationException e) {
        return super.toResponse(ServiceCode.RequestInvalid, "WebApplicationExceptionHandler");
    }
}
